M2SH(1)

NAME
m2sh - configuration tool for mongrel2

SYNOPSIS
m2sh [options]

DESCRIPTION
The m2sh tool is used to configure mongrel2.

OPTIONS
For a complete description, see the

help
    Show summary of options.

load
    Load a config.

config
    Alias for load.

shell
    Starts an interactive shell.

access
    Prints the access log.

servers
    Lists the servers in a config database.

hosts
    Lists the hosts in a server.

routes
    Lists the routes in a host.

commit
    Adds a message to the log.

log Prints the commit log.

start
    Starts a server.

stop
    Stops a server.

reload
    Reloads a server.

running
    Tells you what's running.

control
    Connects to the control port.

route
    Tests out routing patterns.

version
    Prints the Mongrel2 and m2sh version.

help
    Get help, lists commands.

uuid
    Prints out a randomly generated UUID.

SEE ALSO
mongrel2(1)